
Name:		libnetfilter_log1
Version:	1.0.1
Release:	1.2
Group:		Productivity/Networking/Security
Summary:	Library for interfacing with Netfilter/logging
License:	GPL
URL:		http://netfilter.org/projects/libnetfilter_log/

Source:		libnetfilter_log-%version.tar.bz2
BuildRequires:	libnfnetlink-devel pkgconfig
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
%if "%{?vendor_uuid}" != ""
Provides:	%name(vendor=%vendor_uuid) = %{version}-%{release}
%endif

%description
libnetfilter_log is a userspace library providing interface to
packets that have been logged by the kernel packet filter. It is part
of a system that deprecates the old syslog/dmesg based packet
logging.

Author(s):
----------
	Netfilter Team <netfilter-devel@vger.kernel.org>
	Éric Leblond
	Pablo Neira Ayuso
	Harald Welte

%package -n libnetfilter_log-devel
Group:		Development/Libraries/C and C++
Summary:	Development files for libnetfilter_log
Requires:	%name = %version

%description -n libnetfilter_log-devel
Development files for libnetfilter_log.

libnetfilter_log is a userspace library providing interface to
packets that have been logged by the kernel packet filter. It is part
of a system that deprecates the old syslog/dmesg based packet
logging.

Author(s):
----------
	Netfilter Team <netfilter-devel@vger.kernel.org>
	Éric Leblond
	Pablo Neira Aysuo
	Harald Welte

%prep
%setup -qn libnetfilter_log-%version

%build
%configure --disable-static
%__make %{?jobs:-j%jobs};

%install
b="%buildroot";
mkdir -p "$b";
%__make install DESTDIR="$b";
find "$b" -type f -iname "*.la" -print0 | xargs -0 rm -f;

%clean
rm -Rf "%buildroot";

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%_libdir/lib*.so.*

%files -n libnetfilter_log-devel
%defattr(-,root,root)
%_includedir/*
%_libdir/lib*.so
%_libdir/pkgconfig/*

%changelog
* Sun Apr 22 2012 cs@linux-administrator.com
- update to release 1.0.1
